Page MenuHomePhabricator

Begin community discussion on mobile and desktop print styles
Closed, ResolvedPublic

Description

Background
we will be changing the print styles for desktop (T154965: [EPIC] Print styles - desktop) and mobile (T154964: [EPIC] Improve mobile print styles) printing and would like to ensure that are communities are aware of the change

Success criteria
A message to communities is sent out before desktop print styles are deployed

Timeline
We were expecting to deploy the desktop print style in June 2017, we informed communities of the change and gathered feedback 1-2 weeks. Another reminder to be sent before deployment.

Summary of pdf styling changes and rationale is here
https://www.mediawiki.org/wiki/Reading/Web/Projects/Print_Styles

Event Timeline

ovasileva created this task.Feb 7 2017, 6:53 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptFeb 7 2017, 6:53 PM
Moushira updated the task description. (Show Details)Feb 17 2017, 9:05 AM
Qgil added a subscriber: Qgil.Feb 20 2017, 2:50 PM

@ovasileva could you provide a bit more information in order to help us plan this task, please?

what exactly needs to be discussed, and what is the goal of this discussion?

Are there any communities in particular that should be contacted first?

Is there a Phabricator tag for this project?

When would you like this work to start?

Elitre added a subscriber: Elitre.May 30 2017, 12:05 PM

@ovasileva, this has been opened for a while now and the situation still isn't clear.
I'll include the template we're using for such requests:

Please make sure all of the following is covered in the description:

  1. What is the problem?
  2. How does success of this task look like? How do we know when we are done?
  3. Is there any goal, program, project, team related with this request? Please provide links and use the corresponding Phabricator tags when available.
  4. What is your expected timeline from start to end? Is there a hard deadline?

Thanks.

@Elitre - sorry for the delay - adding to the task description

ovasileva updated the task description. (Show Details)May 31 2017, 3:16 PM

Assuming I'm helping in this, I've assigned it to myself.

CKoerner_WMF triaged this task as Normal priority.Jun 1 2017, 7:02 PM
TheDJ added a subscriber: TheDJ.Jun 15 2017, 12:01 PM

Chris, I can't remember anymore where we are on this :D

Yes, I need to update this task!

I sent a short message to wikitech-l, wikitech-ambassadors-l, and added it to Tech News for this past week.

https://lists.wikimedia.org/pipermail/wikitech-l/2017-August/088565.html

Feedback is being collected at: https://www.mediawiki.org/wiki/Talk:Reading/Web/Projects/Print_Styles

Qgil added a comment.Oct 4 2017, 8:49 AM

What is left to do in this task? Success criteria in the description seems to be completed. https://www.mediawiki.org/wiki/Talk:Reading/Web/Projects/Print_Styles hasn't been active in two months.

We will be doing a small secondary update this week before the final deployment on Monday (Oct 9)

CKoerner_WMF updated the task description. (Show Details)Oct 4 2017, 2:30 PM

Draft update to communities: https://www.mediawiki.org/wiki/User:CKoerner_(WMF)/Print_styles_reminder

Olga, if this looks agreeable to you, please let me know and I can share.

CKoerner_WMF updated the task description. (Show Details)Oct 4 2017, 3:14 PM

Whoops, I didn't make the ping work. o/ @ovasileva

made a tiny edit, but looks good to me! @CKoerner_WMF

CKoerner_WMF updated the task description. (Show Details)Oct 5 2017, 7:33 PM
ovasileva closed this task as Resolved.Nov 6 2017, 11:54 AM

Closing this as print styles are now available on all wikis and all announcements have been completed. All done!

Qgil awarded a token.Nov 10 2017, 9:01 PM